%define thunarver 0.9.0

Name:           thunar-shares
Version:        0.16
Release:        1%{?dist}
Summary:        Thunar file manager extension to share files using Samba

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://thunar-shares.googlecode.com
Source0:        http://thunar-shares.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  Thunar-devel >= %{thunarver}, libxfcegui4-devel >= 4.4.0
BuildRequires:  libxml2-devel, gettext, perl(XML::Parser)
Requires:       Thunar >= %{thunarver}, samba >= 3.0.22

%description
A Thunar file manager extension to share files using Samba. The backend is 
based on nautilus-share.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/thunarx-1/%{name}.la
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/thunarx-1/%{name}.so
%{_datadir}/thunar-shares/


%changelog
* Sun Jul 20 2008 Christoph Wickert <fedora christoph-wickert de> - 0.16-1
- Update to 0.16

* Fri Jul 11 2008 Christoph Wickert <fedora christoph-wickert de> - 0.13-1
- Update to 0.13

* Thu Jun 12 2008 Christoph Wickert <fedora christoph-wickert de> - 0.12-1
- Update to 0.12

* Mon Apr 14 2008 Christoph Wickert <fedora christoph-wickert de> - 0.10-1
- Initial Fedora RPM
